> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wappfy.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# List Known Channels

> Get list of all channels (newsletters) known by the session

## Description

This endpoint returns a list of all channels that the session knows, including followed channels and other channels available on WhatsApp.

## URL Parameters

<ParamField path="session" type="string" required>
  WhatsApp unique authenticated session ID
</ParamField>

## Response

<ResponseField name="newsletters" type="array">
  Array containing the known channels

  <Expandable title="Channel object properties">
    <ResponseField name="id" type="string">
      ID único of the channel
    </ResponseField>

    <ResponseField name="name" type="string">
      Name of the channel
    </ResponseField>

    <ResponseField name="description" type="string">
      Description of the channel
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json Success Response theme={null}
  {
    "newsletters": [
      {
        "id": "123456789@newsletter",
        "name": "News Channel",
        "description": "Latest news and updates"
      },
      {
        "id": "987654321@newsletter",
        "name": "Technology Channel",
        "description": "Tech world news"
      }
    ]
  }
  ```
</ResponseExample>

## Status Codes

* `200` - List obtained successfully
* `401` - Unauthorized
* `500` - Internal server error

## Usage Example

<CodeGroup>
  ```bash cURL theme={null}
  curl -X GET https://api.wappfy.com.br/api/my-session/channels
  ```

  ```javascript JavaScript theme={null}
  const session = 'my-session';
  const response = await fetch(`https://api.wappfy.com.br/api/${session}/channels`);
  const data = await response.json();
  console.log(data.newsletters);
  ```

  ```python Python theme={null}
  import requests

  session = 'my-session'
  response = requests.get(f'https://api.wappfy.com.br/api/{session}/channels')
  data = response.json()
  print(data['newsletters'])
  ```
</CodeGroup>


## OpenAPI

````yaml viewer-en.json get /api/{session}/channels
openapi: 3.1.0
info:
  title: Wappfy - WhatsApp HTTP API
  version: '2.0'
  contact: {}
servers:
  - url: https://{host}
    description: Customizable Server
    variables:
      host:
        default: api.wappfy.com.br
        description: Server URL (e.g., api.wappfy.com.br or your-server.com)
security:
  - api_key: []
tags:
  - name: 🖥️ Sessions
    description: Control WhatsApp sessions (accounts)
  - name: 🔑 Auth
    description: Authentication
  - name: 🆔 Profile
    description: Your profile information
  - name: 🖼️ Screenshot
    description: Get WhatsApp screenshot and display QR code
  - name: 📤 Chatting
    description: Conversation methods
  - name: 📢 Channels
    description: Channels (newsletters) methods
  - name: 🟢 Status
    description: Status (aka stories) methods
  - name: 💬 Chats
    description: Conversations methods
  - name: 👤 Contacts
    description: |-
      Contacts methods.<br>
                      Use phone number (without +) or phone number and `@c.us` at the end as `contactId`.<br>
                      E.g: `12312312310` OR `12312312310@c.us`<br>
  - name: 👥 Groups
    description: Groups methods.<br>
  - name: ✅ Presence
    description: Presence information
  - name: 📅 Events
    description: Event Message
  - name: 🏷️ Labels
    description: Labels - available only for WhatsApp Business accounts
  - name: 🔍 Observability
    description: Other methods
  - name: 🗄️ Storage
    description: Storage methods
externalDocs:
  description: Wappfy - WhatsApp API
  url: https://docs.wappfy.com.br/
paths:
  /api/{session}/channels:
    get:
      tags:
        - 📢 Channels
      summary: Get list of known channels
      description: The {session} parameter must be the session's instanceName.
      operationId: ChannelsController_list
      parameters:
        - name: role
          required: false
          in: query
          schema:
            enum:
              - OWNER
              - ADMIN
              - SUBSCRIBER
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Channel'
      security:
        - api_key: []
components:
  schemas:
    Channel:
      type: object
      properties:
        id:
          type: string
          description: Newsletter id
          example: 123123123123@newsletter
        name:
          type: string
          description: Channel name
          example: Channel Name
        invite:
          type: string
          description: Invite link
          example: https://www.whatsapp.com/channel/111111111111111111111111
        preview:
          type: string
          description: Preview for channel's picture
          example: https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10
        picture:
          type: string
          description: Channel's picture
          example: https://mmg.whatsapp.net/m1/v/t24/An&_nc_cat=10
        role:
          enum:
            - OWNER
            - ADMIN
            - SUBSCRIBER
            - GUEST
          type: string
        description:
          type: string
        verified:
          type: boolean
        subscribersCount:
          type: number
      required:
        - id
        - name
        - invite
        - role
        - verified
        - subscribersCount
  securitySchemes:
    api_key:
      type: apiKey
      in: header
      name: apikey
      description: Your Wappfy API key (get it at dash.wappfy.com.br)

````